<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <title>Calculadora</title>
</head>
<body>
 <h1>Calculadora</h1>
    <form action="/calcula" method="POST"> 

        <input type="text" name="numero1" id="numero1"/>

        <select name="operador" id="sinal" >
            <option value="+">+</option>
            <option value="-">-</option>
            <option value="*">*</option>
            <option value="/">/</option>
            </select>
            

     
        <input type="text" name="numero2" id="numero2"/>
        <input type="submit" value="Calcular"/> 
       
    </form>
   
    <div th:if="${mensagem}" th:text="${mensagem}"></div>

   
    <div th:if="${historico}" >
        
     
        <div th:each="item : ${historico}" class="row m-1" >
            <div class="col-3">
            id:<span th:text="${item.id}">id</span>
            </div>
            <div class="col-5">
            Operacao: <span th:text="${item.operacao}" ></span>
            </div>
            <div class="col-2">   
        <a th:href="@{/deleta/{id}(id=${item.id})}" class="btn btn-danger">Apagar</a>
            </div>
            <div class="col-2"> 
            <a th:href="@{/mostra/{id}(id=${item.id})}"class="btn btn-primary">Mostra</a>
            </div>
        </div>
    </div>

    <script src="/js/jquery-3.5.1.slim.min.js" ></script>
    <script src="/js/popper.min.js" ></script>
    <script src="/js/bootstrap.min.js" ></script>
  
</body>
</html>